getmempoolinfo
POST
Returns details on the active state of the transaction memory pool.It includes the number of pending transactions, the memory usage and the minimum fee rate.
Responses
loadedboolean
Whether the initial load of the persisted mempool has finished.sizeinteger
The current transaction count in the mempool.bytesinteger
The sum of virtual transaction sizes as defined in BIP 141.It differs from the actual serialized size because witness data is discounted.usageinteger
The total memory usage of the mempool, in bytes.total_feenumber
The total fees of all transactions in the mempool, denominated in BTC.maxmempoolinteger
The maximum memory usage allowed for the mempool, in bytes.mempoolminfeenumber
The minimum fee rate for a transaction to be accepted into the mempool.It is the maximum of minrelaytxfee and the minimum mempool fee, expressed in BTC/kvB.minrelaytxfeenumber
The current minimum relay fee rate for transactions, expressed in BTC/kvB.incrementalrelayfeenumber
The minimum fee increment for transaction replacement (RBF), expressed in BTC/kvB.unbroadcastcountinteger
The number of transactions that have not passed initial broadcast yet.fullrbfboolean
Whether the mempool accepts transaction replacement (RBF) without checking the BIP 125 signal.permitbaremultisigboolean
Whether transactions with bare multisig outputs are accepted.maxdatacarriersizeinteger
The maximum size allowed for an OP_RETURN output, in bytes.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://bitcoin-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "getmempoolinfo","params": []}'